public class Poblacion {
	private Persona[] personas;
	private int numero_actual_personas;
	
	public Poblacion(int tamano_maximo) { // inicializa del tamano apropiado y los deja con 0 personas.
		personas = new Persona[tamano_maximo];
		numero_actual_personas = 0;
	}
	
	private void ordenar() { // ordena los elementos almacenados en personas de acuerdo a la comuna
		int i,j,min;
		for (i = 0; i < numero_actual_personas - 1; i++) {
			min = i;
			for (j = i + 1; j < numero_actual_personas; j++)
				if (personas[j].Comuna().compareTo(personas[min].Comuna()) < 0)
					min = j;
			swap(personas,i,min);
		}
	}
	
	private void swap(Persona[] arr, int a, int b) {
		Persona tmp = arr[a];
		arr[a] = arr[b];
		arr[b] = tmp;
	}
	
	public void Agregar(String nombre, int ano, String comuna) { // Agrega una persona al arreglo deja las personas ordenadas por comuna
		personas[numero_actual_personas] = new Persona(nombre,ano,comuna);
		numero_actual_personas++;
		ordenar();
	}
	
	public int Numero_personas_en_Comuna(String comuna) { // Busca comuna en un arreglo ordenado calcula y retorna el numero de personas que viven en esa comuna
		int cuenta = 0;
		for (int i = 0; i < numero_actual_personas; i++)
			if (personas[i].Comuna().equals(comuna))
				cuenta++;
		return cuenta;
	}
	
	public void Frecuencia(int[] frecuencias) { // almacena en frecuencias[i] las personas que tienen i a~nos.
		for (int i = 0; i < frecuencias.length; i++) {
			frecuencias[i] = 0;
			for (int j = 0; j < numero_actual_personas; j++)
				if (personas[j].Ano() == i)
					frecuencias[i]++;
		}
	}
}
